Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.streaming
Class PipeCombiner

    java.lang.Object
      org.apache.hadoop.streaming.PipeMapRed
          org.apache.hadoop.streaming.PipeReducer
              org.apache.hadoop.streaming.PipeCombiner

All Implemented Interfaces:
  Closeable, JobConfigurable, Reducer

    public class PipeCombiner

extends PipeReducer

Field Summary

Fields inherited from class org.apache.hadoop.streaming.PipeMapRed
`LOG, outerrThreadsThrowable`

Constructor Summary
`PipeCombiner()`

Method Summary

Methods inherited from class org.apache.hadoop.streaming.PipeReducer
`close, configure, reduce`

Methods inherited from class org.apache.hadoop.streaming.PipeMapRed
`getContext, mapRedFinished`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipeCombiner

    public PipeCombiner()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation